/*===================下载文件
 * options:{
 * url:'',  //下载地址
 * data:{name:value}, //要发送的数据
 * method:'post'
 * }
 */

var DownLoadFilePost = function (options) {
    var config = $.extend(true, { method: 'post' }, options);
    var $iframe = $('<iframe id="down-file-iframe" />');
    var $form = $('<form target="_self" method="' + config.method + '" />');
    $form.attr('action', config.url);
    for (var key in config.data) {
        $form.append('<input type="hidden" name="' + key + '" value="' + config.data[key] + '" />');
    }
    $iframe.append($form);
    $(document.body).append($iframe);
    $form[0].submit();
    $iframe.remove();
}

var getFileIconSrc = function(item){
    if(item.isDir == "true") return "/img/icon_folder.png";
    if(item.name.endsWith(".apk")) return "/img/sym_def_app_icon.png";
    return "/img/icon_text.png";
}

var UploadFile = function(file,progressBarId,loadCompletedFunc,successFunc,errorFunc){
     var formData = new FormData();
     formData.append("file", file);
     $.ajax({
         url: "s/uploadFile",
         type: "POST",
         data: formData,
         processData:false,    //必须
         contentType:false,    //必须
         xhr: function() {        //ajax进度条，直接拿过去就可以用
             var xhr = $.ajaxSettings.xhr();
             if (xhr.upload) {
                 xhr.upload.addEventListener("progress", function (e) {
                     var loaded = e.loaded; //已经上传大小情况
                     var tot = e.total; //附件总大小
                     var per = Math.floor(100 * loaded / tot); //已经上传的百分比
                     $(progressBarId).css({width: per + '%'});   //这里指的是进度条的宽度等于完成的百分比
                     if(e.loaded == e.total){
                        loadCompletedFunc();
                     }
                 }, false);
                 return xhr;
             }
         },
         success: successFunc(),
         error: errorFunc()
     });
}

